# locate eic-smear

find_path(EIC_SMEAR_INCLUDE_DIR
  NAMES "eicsmear/smear/Smear.h"
  PATHS $ENV{EIC_SMEAR_HOME}/include
)
find_library(EIC_SMEAR_LIBRARY
  NAMES eicsmear
  HINTS
  $ENV{EIC_SMEAR_HOME}
  PATH_SUFFIXES lib lib64
)

set(EIC_SMEAR_INCLUDE_DIRS ${EIC_SMEAR_INCLUDE_DIR})
set(EIC_SMEAR_LIBRARIES ${EIC_SMEAR_LIBRARY})

message(STATUS "Using EIC_SMEAR_INCLUDE_DIRS = ${EIC_SMEAR_INCLUDE_DIRS}")
message(STATUS "debug EIC_SMEAR_HOME = $ENV{EIC_SMEAR_HOME}")

find_package_handle_standard_args(EICSmear
  DEFAULT_MSG
  EIC_SMEAR_LIBRARIES
  EIC_SMEAR_INCLUDE_DIRS
)
